net.ME1312.SubServers.Bungee.Host

## Class Server

- java.lang.Object
- - net.md_5.bungee.BungeeServerInfo
  - - net.ME1312.SubServers.Bungee.Host.Server

All Implemented Interfaces:
  net.md_5.bungee.api.config.ServerInfo, ClientHandler

Direct Known Subclasses:
  SubServer

    public class Server
    extends net.md_5.bungee.BungeeServerInfo
    implements ClientHandler

Server Class

Author:
  ME1312

### Constructor Summary

Constructors
Constructor and Description
`Server(java.lang.String name, java.net.InetSocketAddress address, java.lang.String motd, boolean hidden, boolean restricted)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMotd()` Gets the MOTD of the Server
`Client` `getSubDataClient()` Gets the SubData Client
`boolean` `isHidden()` If the server is hidden from players
`boolean` `isRestricted()` Gets if the Server is Restricted
`void` `linkSubDataClient(Client client)` Link a SubData Client to this Object
`void` `setHidden(boolean value)` Set if the server is hidden from players
`void` `setMotd(java.lang.String value)` Sets the MOTD of the Server
`void` `setRestricted(boolean value)` Sets if the Server is Restricted

### Methods inherited from class net.md_5.bungee.BungeeServerInfo

`addPlayer, canAccess, equals, getAddress, getName, getPacketQueue, getPlayers, hashCode, ping, ping, removePlayer, sendData, sendData, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Server

    public Server(java.lang.String name,
                  java.net.InetSocketAddress address,
                  java.lang.String motd,
                  boolean hidden,
                  boolean restricted)
           throws InvalidServerException

Throws:
  `InvalidServerException`

### Method Detail

#### getSubDataClient

    public Client getSubDataClient()

Description copied from interface: `ClientHandler`
Gets the SubData Client

Specified by:
  `getSubDataClient` in interface `ClientHandler`
Returns:
  SubData Client (or null if not linked)

#### linkSubDataClient

    public void linkSubDataClient(Client client)

Description copied from interface: `ClientHandler`
Link a SubData Client to this Object

Specified by:
  `linkSubDataClient` in interface `ClientHandler`
Parameters:
  `client` - Client to Link

#### isHidden

    public boolean isHidden()

If the server is hidden from players

Returns:
  Hidden Status

#### setHidden

    public void setHidden(boolean value)

Set if the server is hidden from players

Parameters:
  `value` - Value

#### getMotd

    public java.lang.String getMotd()

Gets the MOTD of the Server

Specified by:
  `getMotd` in interface `net.md_5.bungee.api.config.ServerInfo`
Overrides:
  `getMotd` in class `net.md_5.bungee.BungeeServerInfo`
Returns:
  Server MOTD

#### setMotd

    public void setMotd(java.lang.String value)

Sets the MOTD of the Server

Parameters:
  `value` - Value

#### isRestricted

    public boolean isRestricted()

Gets if the Server is Restricted

Overrides:
  `isRestricted` in class `net.md_5.bungee.BungeeServerInfo`
Returns:
  Restricted Status

#### setRestricted

    public void setRestricted(boolean value)

Sets if the Server is Restricted

Parameters:
  `value` - Value